import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import mapValues from 'lodash/fp/mapValues';
import { parseMetadata } from '@highlight-ui/utils-commons';

var renderTh = function (props) {
  var column = props.column,
      metadata = props.metadata;
  return /*#__PURE__*/React.createElement("th", __assign({
    key: column.key
  }, parseMetadata(mapValues(function (x) {
    return x + "-headCell";
  }, metadata))), column.label);
};

var renderTd = function (props) {
  var column = props.column,
      content = props.content,
      metadata = props.metadata;
  return /*#__PURE__*/React.createElement("td", __assign({
    key: column.key
  }, parseMetadata(mapValues(function (x) {
    return x + "-cell";
  }, metadata))), content);
};

var renderTr = function (props) {
  var children = props.children,
      rowIndex = props.rowIndex,
      metadata = props.metadata,
      rowType = props.rowType;
  return /*#__PURE__*/React.createElement("tr", __assign({
    key: rowIndex,
    className: rowType
  }, parseMetadata(mapValues(function (x) {
    return x + "-row";
  }, metadata))), children);
};

export { renderTd, renderTh, renderTr };
//# sourceMappingURL=default-renderers.js.map
