import times from 'lodash/times';
/* eslint-disable implicit-arrow-linebreak */

var getTableColumnWidth = function (tableElement, index) {
  var tableColumnElement = tableElement.querySelector("th:nth-child(" + (index + 1) + ")");
  return tableColumnElement ? tableColumnElement.getBoundingClientRect().width : 0;
};

var getTableColumnLeftOffset = function (columnWidths, index) {
  return columnWidths.slice(0, index).reduce(function (current, sum) {
    return sum + current;
  }, 0);
};

var getTableCells = function (tableElement, index) {
  return Array.from(tableElement.querySelectorAll("th:nth-child(" + (index + 1) + "), td:nth-child(" + (index + 1) + ")"));
};

var stackColumnsToTheLeft = function (tableElement, columnCount) {
  var columnWidths = times(columnCount).map(function (index) {
    return getTableColumnWidth(tableElement, index);
  });
  var columnOffsets = columnWidths.map(function (_, index) {
    return getTableColumnLeftOffset(columnWidths, index);
  });
  columnOffsets.forEach(function (offset, index) {
    Array.from(getTableCells(tableElement, index)).forEach(function (cell) {
      // eslint-disable-next-line no-param-reassign
      cell.style.left = offset + "px";
    });
  });
};

export { stackColumnsToTheLeft as default };
//# sourceMappingURL=dom-helpers.js.map
